메소드 | 설명 | |
---|---|---|
AvoidEdges ( IAgent agent, double distance ) : Vector3d | ||
BounceContain ( IParticle particle ) : bool | ||
ClosestNormal ( Point3d pt ) : Vector3d | ||
ClosestPoint ( Point3d pt ) : Point3d | ||
ClosestPointOnRef ( Point3d pt ) : Point3d | ||
Contains ( Point3d pt ) : bool | ||
Dispose ( ) : void | ||
Duplicate ( ) : IGH_Goo | ||
Equals ( |
||
Equals ( object obj ) : bool | ||
GetBoundingBox ( ) : Rhino.Geometry.BoundingBox | ||
GetHashCode ( ) : int | ||
MapTo2D ( Point3d pt ) : Point3d | ||
MapTo3D ( Point3d pt ) : Point3d | ||
PolysurfaceEnvironmentType ( ) : System | ||
PolysurfaceEnvironmentType ( Brep environment, Vector3d borderDir ) : System | ||
PolysurfaceEnvironmentType ( |
||
ToString ( ) : string | ||
WrapPoint ( Point3d relativePoint, Point3d point ) : Point3d | ||
WrapPoint ( Point3d position, bool &wrapped ) : Point3d |
메소드 | 설명 | |
---|---|---|
CreateBorderWalls ( ) : Brep[][] | ||
DivByAngle ( Rhino.Geometry.Curve crv, double angle ) : IEnumerable |
||
GetBorderWalls ( Rhino.Geometry.Curve borderCrv, IEnumerable |
||
GetBrepNormals ( IEnumerable |
||
GetFeelerCrv ( Vector3d feelerVec, Point3d position, double bodySize, double visionAngle, Vector3d rotAxis ) : Rhino.Geometry.Curve | ||
GetFeelerCrvs ( IParticle agent, double visionDistance, bool accurate ) : Rhino.Geometry.Curve[] | ||
GetNakedEdges ( ) : Rhino.Geometry.Curve[] |
public AvoidEdges ( IAgent agent, double distance ) : Vector3d | ||
agent | IAgent | |
distance | double | |
리턴 | Vector3d |
public BounceContain ( IParticle particle ) : bool | ||
particle | IParticle | |
리턴 | bool |
public Equals ( |
||
p | ||
리턴 | bool |
public GetBoundingBox ( ) : Rhino.Geometry.BoundingBox | ||
리턴 | Rhino.Geometry.BoundingBox |
public PolysurfaceEnvironmentType ( Brep environment, Vector3d borderDir ) : System | ||
environment | Brep | |
borderDir | Vector3d | |
리턴 | System |
public PolysurfaceEnvironmentType ( |
||
environment | ||
리턴 | System |
public WrapPoint ( Point3d relativePoint, Point3d point ) : Point3d | ||
relativePoint | Point3d | |
point | Point3d | |
리턴 | Point3d |
public WrapPoint ( Point3d position, bool &wrapped ) : Point3d | ||
position | Point3d | |
wrapped | bool | |
리턴 | Point3d |